2019-12-09 18:42 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001840FSSCP---------public2008-12-13 21:47
ReporterFUBAR-BDHR 
Assigned Tophreak 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001840: Viewing models in tech room then going to mission simulator = crash
DescriptionTesting weather or not 3d ship selection was require for TBP I encountered a new problem. If I view ships in the tech room then go to the mission simulator the game crashes. If I don't move off of the default ship in the tech room and go straight to the mission simulator it doesn't crash.
Additional InformationRunning TBP in 3.6.10 rev 4981. Crash does not occur in 3.6.9.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0010364

Echelon9 (developer)

Last edited: 2008-12-06 07:23

In attached fs2_open.log 12-05-08 23:47
==========
...
Int3(): From e:\storage\fso\fs2_open\code\missionui\missionshipchoice.cpp at line 3504

In missionshipchoice.cpp:3504
==========
...
// load the icons for a specific ship class
void ss_load_icons(int ship_class)
{
    ss_icon_info *icon;

    Assert( Ss_icons != NULL );

    icon = &Ss_icons[ship_class];
    ship_info *sip = &Ship_info[ship_class];

    if(!Cmdline_ship_choice_3d && strlen(sip->icon_filename))
    {
        int first_frame, num_frames, i;
        first_frame = bm_load_animation(sip->icon_filename, &num_frames);
        if ( first_frame == -1 ) {
            Int3(); // Could not load in icon frames.. get Alan <== Int3() hit here
            return;
        }
...

~0010366

phreak (developer)

does TBP have it's own interface art for 2d ship selection? It looks like the loadout image is defined in the tables but not included in any TBP media.

~0010372

FUBAR-BDHR (developer)

Well this is a little above my head. I did check out some ships in the tables and searched for the referenced ship and looked at the ship_icon, ship_anim, and ship_overhead and all those files were present.

This is happening weather I have 3d ship models enabled or not.

~0010377

chief1983 (administrator)

That bug looks like what I was getting, but only when 3d ship selection was turned off. If it was on I never saw that error. It does seem to be related to 2d ship icons which is why I thought forcing it on would fix the problem. If it's still crashing it's trying to load them for some reason when they're not needed. I cannot produce this on my end with r4983 debug + 3d ship selection enabled. I clicked on quite a few ships too, and was still able to load a mission in the simulator just fine.

~0010379

FUBAR-BDHR (developer)

Well the crash at line 3504 seems to be gone however now if I start a mission escape out from the breifing and try to load another mission (or the same one) I get the crash at line 5225 even with the 3d ship flag on. This is with the 4983 build.

~0010382

Echelon9 (developer)

FUBAR-BDHR, which file did it report crashing at line 5225 in the r4983 build? missionshipchoice.cpp only has 4182 lines of code, so it must be another location.

Could you try with the latest trunk r4985, and then post the new fs2_open.log should it still crash?

~0010383

FUBAR-BDHR (developer)

Last edited: 2008-12-07 02:02

Oops that info was in another bug report.

Int3(): From e:\storage\fso\fs2_open\code\freespace2\freespace.cpp at line 5225


There isn't a 4985 build for windows yet.

Compiled it myself and got the same crash.

~0010384

chief1983 (administrator)

There will be in a few minutes :)

~0010386

FUBAR-BDHR (developer)

Just tried it with the 4985 Knightly build to make sure. Same crash.

~0010394

phreak (developer)

Try using a new build. I removed the Int3 and changed it to a warning.

~0010400

FUBAR-BDHR (developer)

That gets past the error and spits this out in the log:

WARNING: "Unable to release environment map render target." at freespace.cpp:5225


Think it will cause any problems?

~0010404

phreak (developer)

Considering it'll only show up in debug builds, it should fail a little more gracefully.

~0010408

chief1983 (administrator)

Does this warning pop up in a debug build or go silently to the log file?
+Notes

-Issue History
Date Modified Username Field Change
2008-12-05 23:47 FUBAR-BDHR New Issue
2008-12-05 23:47 FUBAR-BDHR File Added: fs2_open.log
2008-12-06 07:22 Echelon9 Note Added: 0010364
2008-12-06 07:23 Echelon9 Note Edited: 0010364
2008-12-06 11:02 phreak Note Added: 0010366
2008-12-06 17:25 FUBAR-BDHR Note Added: 0010372
2008-12-06 18:48 chief1983 Note Added: 0010377
2008-12-06 20:38 FUBAR-BDHR Note Added: 0010379
2008-12-06 22:18 Echelon9 Note Added: 0010382
2008-12-06 23:00 FUBAR-BDHR Note Added: 0010383
2008-12-07 02:02 FUBAR-BDHR Note Edited: 0010383
2008-12-07 02:14 chief1983 Note Added: 0010384
2008-12-07 17:19 FUBAR-BDHR Note Added: 0010386
2008-12-11 06:34 phreak Note Added: 0010394
2008-12-11 20:46 FUBAR-BDHR Note Added: 0010400
2008-12-12 07:51 phreak Note Added: 0010404
2008-12-13 17:16 phreak Assigned To => phreak
2008-12-13 17:16 phreak Status new => resolved
2008-12-13 17:16 phreak Resolution open => fixed
2008-12-13 17:16 phreak Fixed in Version => 3.6.10
2008-12-13 21:47 chief1983 Note Added: 0010408
+Issue History